## org.omg.Dynamic
Class ContextListHelper

    java.lang.Object
      |
      +--org.omg.Dynamic.ContextListHelper

public class ContextListHelper
extends java.lang.Object

Helper class for : ContextList

Author:
  OpenORB Compiler

Constructor Summary
`ContextListHelper()`

Method Summary
`static java.lang.String[]` `extract(Any a)` Extract ContextList from an any
`static java.lang.String` `id()` Return the ContextList IDL ID
`static void` `insert(Any a, java.lang.String[] t)` Insert ContextList into an any
`static java.lang.String[]` `read(InputStream istream)` Read ContextList from a marshalled stream
`static TypeCode` `type()` Return the ContextList TypeCode
`static void` `write(OutputStream ostream, java.lang.String[] value)` Write ContextList into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContextListHelper

    public ContextListHelper()

Method Detail

### insert

    public static void insert(Any a,
                              java.lang.String[] t)

  Insert ContextList into an any
  Parameters:
    `a` - an any
    `t` - ContextList value

### extract

    public static java.lang.String[] extract(Any a)

  Extract ContextList from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted ContextList value

### type

    public static TypeCode type()

  Return the ContextList TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the ContextList IDL ID
  Returns:
    an ID

### read

    public static java.lang.String[] read(InputStream istream)

  Read ContextList from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed ContextList value

### write

    public static void write(OutputStream ostream,
                             java.lang.String[] value)

  Write ContextList into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - ContextList value